Class | YARD::I18n::Message
In: | lib/yard/i18n/message.rb
Parent: | Object

`Message` is a translation target message. It has message ID as {id} and some properties {locations} and {comments}.

@since 0.8.1

### Methods

== add_comment add_location new

### Attributes

comments | [R] | @return [Set] the set of comments for the messages.
id | [R] | @return [String] the message ID of the trnslation target message.
locations | [R] | @return [Set] the set of locations. Location is an array of path and line number where the message is appered.

### Public Class methods

new(id)

Creates a trasnlate target message for message ID `id`.

@param [String] id the message ID of the translate target message.

### Public Instance methods

==(other)

@param [Message] other the `Message` to be compared. @return [Boolean] checks whether this message is equal to another.

add_comment(comment)

Adds a comment for the message.

@param [String] comment the comment for the message to be added. @return [void]

add_location(path, line)

Adds location information for the message.

@param [String] path the path where the message appears. @param [Integer] line the line number where the message appears. @return [void]

[Validate]